<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" schema="www-user_session" id="top-first_page">

 <lire:title>First Pages By Session WWW Report</lire:title>

 <lire:description>
  <para>This report shows the requested pages (this excludes
   pictures) which were the first page to be visited in a user session.
  </para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="page_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of last pages to
     display.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>First Page In User Session, Top $page_to_show</lire:title>
  <lire:description>
   <para><literal>-</literal> means that only images were requested.</para>
  </lire:description>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-request_total" limit="$page_to_show">
   <lire:field name="first_page"/>

   <lire:count name="request_total" label="Requests"/>
   <lire:count name="request_ratio" ratio="table" label="% Total"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
